/*** CSS Resets ***/
p, ul, ol, h1, h2, h3, blockquote {
	margin: 0;
	padding: 0;
}

h1, h2, h3, h4 {
	font-weight: normal;
}

* {
    box-sizing: border-box;
}
/*** End CSS Resets ***/

body {
	background: url(images/bg.jpg) repeat;
	font-family: Abel, sans-serif;
	color: #666;
}

header {
	background: #fff;
	padding: 10px 15px 10px 0;
}

.container {
	position: relative;
}

p {
	margin-bottom: 1em;
}

article {
	padding: 0 15px;
}

/***Logo***/
#logo {
	position: relative;
	margin-bottom: 20px;
}
	
#logo img {
	width: 120px;
}
	
#logo h1 {
	font-size: 30px;
	color: #000;
	position: absolute;
	top: 45px;
	left: 40px;
}
	
#logo h2 {
	font-size: 24px;
	top: 50px;
	left: 125px;
	color: #e00101;
	position: absolute;
}

/***Ticket***/
#ticket {
	position: absolute;
	top: 85px;
	right: 0;
	width: 190px;
	display: block;
	background: #ebebeb;
	border-radius: 10px;
	color: #666;
	text-decoration: none;
	padding: 15px 15px;
}

#ticket h2 {
	font-size: 18px;
	width: 150px;
	text-align: right;
}

#ticket h3 {
	transform: rotate(-90deg);	
	color: #e00101;
	position: absolute;
	bottom: 16px;
	left: -3px;
	font-size: 18px;
}

#ticket:hover {
	background: #afe0f5;
}

/***Top***/
#top {
	background: #e1e1e1;
	margin-bottom: 50px;
	padding: 30px 0;
}

#top p {
	font-size: 18px;
	line-height: 1.3em;
}

.highlight {
	color: #e00101;
}

/***Middle***/
#middle {
	background: #707070;
	margin-bottom: 50px;
	padding: 30px 0;
}

#middle h2 {
	color: #afe0f5;
	font-size: 24px;
	padding: 0 0 30px 15px;
}

#middle h3 {
	color: #f6fb6c;
	font-size: 24px;
	margin-bottom: .3em;
}

#middle p {
	color: #e3e3e3;
	line-height: 1.5em
}

/***Footer***/
.row {
	margin-bottom: 20px;
}

footer {
	background: #e1e1e1;
	margin-bottom: 150px;
	padding: 30px 0;
}

footer h3 {
	font-size: 24px;
	color: #e00101;
	margin-bottom: .2em;
}

footer h4 {
	font-size: 16px;
	color: #e00101;
	margin-bottom: 1em;
}

footer p {
	line-height: 1.2em;
}

a {
	color: #5d9bb6;
	text-decoration: none;
}

/***Media Query***/
@media only screen and (min-width: 330px) {
    #logo img {
        width: 150px;
    }
    
    #logo h1 {
        font-size: 38px;
        top: 55px;
        left: 50px;
    }
    
    #logo h2 {
        font-size: 30px;
        top: 60px;
        left: 155px;
    }
    
    #ticket {
        top: 100px;
    }
    
    #top p {
        font-size: 20px;
        line-height: 30px;
    }
    
    #middle h2 {
        font-size: 36px;
    }
    
    footer .row {
        display: flex;
    }
    
    footer .row article {
        flex: 1;
    }
}

@media only screen and (min-width: 480px) {
    #logo img {
        width: auto;
    }
    
    #logo h1 {
        font-size: 48px;
        top: 70px;
        left: 65px;
    }
    
    #logo h2 {
        font-size: 36px;
        top: 80px;
        left: 195px;
    }
    
    #ticket {
        top: 120px;
    }
    
    .container {
        display: flex;
    }
    
    .container article {
        flex: 1;
    }
    
    header .container, footer .container {
        display: block;
    }
    
    #middle .container {
        flex-wrap: wrap;
    }
    
    #middle .container h2 {
        flex-basis: 100%;
    }
}

@media only screen and (min-width: 700px) {
    #ticket {
		top: 30px;
		right: 15px;
		width: 255px;
	}

	#ticket h2 {
		font-size: 30px;
		float: right;
		text-align: right;
		width: 150px;
	}

	#ticket h3 {
		font-size: 36px;
		bottom: 27px;
		left: -15px;
	}
    
    #middle h2 {
		font-size: 48px;
	}
	
	footer .container {
		display: flex;
	}
	
	footer .container section:first-of-type {
		flex: 2;
	}
	
	footer .container section:last-of-type {
		flex: 1;
	}
}

@media only screen and (min-width: 768px) {
    #top p {
        font-size: 24px;
    }
}

@media only screen and (min-width: 960px) {
    .container {
        margin: auto;
        width: 960px;
    }
}